scriptname INN_PlayerAlias extends ReferenceAlias

import INN_Data

INN_RoomCostsScript property InnRoomCostsScript auto
{ The quest script that updates inn room cost based on player's location. }

INN_RoomCostsConfig property InnRoomCostsConfig auto
{ The quest script that configures the inn room costs. }

bool bValidConfig

;-------------------------------------------------------------------------------

function Init(bool abNewGame)
	bValidConfig = InnRoomCostsConfig.IsPapyrusUtilInstalled()
	if (bValidConfig)
		if (GetDebugMode())
			Debug.OpenUserLog(GetModName())
		endif
		InnRoomCostsScript.Init(abNewGame)
	endif
endfunction

;-------------------------------------------------------------------------------

event OnInit()
	Init(true)
endevent

;-------------------------------------------------------------------------------

event OnLocationChange(Location akOldLoc, Location akNewLoc)
	if (bValidConfig)
		InnRoomCostsScript.LocationChanged(akOldLoc, akNewLoc)
	endif
endevent

;-------------------------------------------------------------------------------

event OnPlayerLoadGame()
	Init(false)
	InnRoomCostsConfig.OnGameReload()
endevent
